<template>
    <div>
        <div class="card-deck">
            <div class="card mb-3" v-for="plan in plans" :class="selectedClass(plan)" @click="select(plan)">
                <div class="card-body mb-3">
                    <h5 class="card-title">{{ plan.name }}</h5>
                    <h6 class="card-subtitle mb-2 text-muted">{{ plan.duration }} {{ planType(plan) }}</h6>
                    <p class="card-text">
                        {{ $t('cabinet.invest.plan.amount') }}: {{ plan.min_amount }}{{ plan.currency.symbol }} - {{ plan.max_amount }}{{ plan.currency.symbol }} <br>
                        {{ $t('cabinet.invest.plan.percent') }}: {{ plan.percent }}% <br>
                        {{ $t('cabinet.invest.plan.charge_weekends') }}: {{ planWeekends(plan) }} <br>
                        {{ $t('cabinet.invest.plan.limit') }}: {{ planLimit(plan) }} <br>
                        {{ $t('cabinet.invest.plan.additional_referral_percent') }}: {{ planReferralPercent(plan) }} <br>
                    </p>
                </div>
            </div>
        </div>
        <input type="hidden" hidden :value="selected">
    </div>
</template>

<script>
    import _ from 'lodash';
	export default {
		props: ['value', 'plans', 'is_error'],
        data(){
		    return {
		    	selected: this.value
            }
        },
        watch: {
		    value(newVal){
		    	this.selected = newVal;
				this.$emit('input', newVal);
				this.$emit('currency-update', this.getPlan(newVal).currency_id);
            }
        },
        methods: {
			getPlan(id){
			    return _.find(this.plans, {id: id});
            },
            select(plan){
                this.selected = plan.id;
                this.$emit('input', this.selected);
				this.$emit('currency-update', plan.currency_id);
            },
			selectedClass(plan){
				return {
					'border-danger' : this.is_error && !this.selected,
					'border-primary' : this.selected === plan.id,

                };
            },
            planType(plan){
				return plan.type === 'hourly' ? this.$t('ui.hours') : this.$t('ui.days');
            },
            planWeekends(plan){
				return plan.not_charge_weekends ? this.$t('ui.no') : this.$t('ui.yes');
            },
            planLimit(plan){
				return plan.is_limited ? plan.max_deposits : this.$t('ui.no');
            },
            planReferralPercent(plan){
				return plan.additional_referral_percent ? plan.additional_referral_percent : this.$t('ui.no');
            }
        }
	}
</script>

<style scoped>
    .card{
        cursor: pointer;
        min-width: 300px;
    }
</style>
